Accounting script for OpenNebula
================================
Accounting script for OpenNebula 4+ used by RPs in EGI FCTF. This is just a temporary solution
and will be replaced by a more robust implementation later.

##Installation
~~~
git clone git://github.com/EGI-FCTF/opennebula-cloudacc.git
~~~

If you want to use this script in a production environment, please, switch to a stable branch!
~~~
git checkout 4.x
~~~

##Configuration
Edit the following lines at the beginning of the script:
~~~
sitename=""            # Usually a short provider name, e.g.
                       #   CESNET

cloudtype="OpenNebula"

occi_endpoint_url=""   # URL of your OCCI endpoint, e.g.
                       #   https://fqdn.example.com:80
                       # Always without the trailing slash!

mysql="/usr/bin/mysql" # Information necessary for direct DB access
mysql_user=""
mysql_password=""
mysql_host=""
mysql_db=""

# Recent SSM update imposed some restrictions on filenames
# for outgoing messages:
#
#  /var/spool/apel/outgoing/<8_HEX_DIGITS>/<14_HEX_DIGITS>
#
# e.g., if you want to save the message as
#
#  /var/spool/apel/outgoing/00000000/00000000000001
#
# keep the apel_outgoing_dir variable empty, since
#
#  /var/spool/apel/outgoing/00000000
#
# is the default value.

apel_outgoing_dir=""
~~~

Add the X509\_DN property to user templates (only for users with the x509 auth driver):
~~~
# oneuser update <user_id or user_name>

X509_DN="/DC=org/DC=terena/DC=tcs/C=CZ/O=Organization/CN=Test User Name"
~~~

##Usage
* Run _cloudacc.sh_
* Send the message(s) to a broker using APEL SSM

##Compatibility
This script has been tested with OpenNebula 4.x and MySQL database.
